GuideLab Docs

Investigate, answer, close or reopen a report

Lab only. `status: "closed"` needs a resolution and notifies the clinic; `status: "open"` reopens a closed report.

PATCH
/orders/{id}/issues/{issueId}

Lab only. status: "closed" needs a resolution and notifies the clinic; status: "open" reopens a closed report.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
Length1 <= length <= 200
issueId*string
Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/orders/string/issues/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "issue": {    "id": "string",    "orderId": "string",    "orderItemId": "string",    "channel": "app",    "category": "breakage",    "description": "string",    "detectedOn": "string",    "patientHarm": "none",    "requestedAction": "repair",    "status": "open",    "resolution": "remake",    "reply": "string",    "rootCause": "prescription_impression",    "investigation": "string",    "correctiveAction": "string",    "replacementOrderId": "string",    "reportedByName": "string",    "fileIds": [      "string"    ],    "closedAt": "string",    "createdAt": "string",    "updatedAt": "string"  }}
{  "error": "string"}
{  "error": "string"}